package com.jeeplus.centerservice.controller.ccpm;

import com.jeeplus.centerservice.dto.reimbursement.SaveInfoDto;
import com.jeeplus.centerservice.service.ccpm.reimbursement.ReimbursementService;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@RequestMapping("/ccpm_reimbursement")
public class ReimbursementController {


    @Resource
    private ReimbursementService reimbursementService;

    /**
     * 根据id查询报销详情
     * @param id
     * @return
     */
    @GetMapping("getReimbursementById")
    public ResponseEntity getReimbursementById(String id) {
        SaveInfoDto saveInfoDto = reimbursementService.getReimbursementById(id);
        return ResponseEntity.ok (saveInfoDto);
    }

    /**
     * 报销审核
     * @param id
     * @param flag yes 审核通过 no 审核失败
     * @return
     */
    @GetMapping("reimAudit")
    public ResponseEntity reimAudit(String id, String flag) {
        Map<String, Object> resultMap = this.reimbursementService.reimAudit(id, flag, "bmzr");
        return ResponseEntity.ok (resultMap);
    }

    /**
     * 报销重新申请
     * @param id
     * @return
     */
    @GetMapping("reimReapply")
    public ResponseEntity reimReapply(String id) {
        Map<String, Object> resultMap = this.reimbursementService.reimAudit(id, "yes", "modifyApply");
        return ResponseEntity.ok (resultMap);
    }

    /**
     * 报销申请删除
     * @param id
     * @return
     */
    @GetMapping("deleteReim")
    public ResponseEntity deleteReim(String id) {
        Map<String, Object> resultMap = this.reimbursementService.deleteReim(id);
        return ResponseEntity.ok (resultMap);
    }


}
