package com.jeeplus.centerservice.service.ccpm.flow;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.jeeplus.centerservice.dto.reimbursement.SaveInfoDto;
import com.jeeplus.centerservice.utils.ConvertServiceUtil;
import com.jeeplus.sys.utils.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;
import java.util.Objects;

@Service
@Transactional(rollbackFor = Exception.class)
public class FlowService {

    @Resource
    private FlowRequest flowRequest;

    /**
     * 获取流程历史
     * @param procInsId
     * @return
     */
    public List<Map<String,Object>> getHistoicFlowList(String procInsId) {
        Object histoicFlow = flowRequest.getHistoicFlowList(procInsId);
        List<Map<String,Object>> histoicFlows = JSONArray.parseArray(JSON.toJSONString(histoicFlow));
        List<Map<String,Object>> histoicFlowList = ConvertServiceUtil.convertHisFlowList(histoicFlows); // 格式转换
        return histoicFlowList;
    }

    /**
     * 获取流程流向图
     * @param procInsId
     * @return
     */
    public List<Map<String,Object>> getFlowChart(String procInsId) {
        Object flowChart = flowRequest.getFlowChart(procInsId);
        List<Map<String,Object>> flowCharts = JSONArray.parseArray(JSON.toJSONString(flowChart)); // 格式转换
        return flowCharts;
    }
}
